Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.io
Class SequenceConverter

    java.lang.Object
      calhoun.analysis.crf.io.SequenceConverter

    public class SequenceConverter

extends java.lang.Object

used for converting between different encodings of gene structure in a hidden sequence. Mostly for legacy use

Constructor Summary
`SequenceConverter()`

Method Summary
`static void` | `convertSeqFrom13To39(TrainingSequence<java.lang.Character> seq)`
`static void` | `convertSeqFrom39To13(int[] seq)`
`static void` | `convertSeqFrom39To13(TrainingSequence<java.lang.Character> seq)`
`static int[]` | `convertSeqFromInterval13ToInterval29(int[] states)`
`static java.lang.String` | `convertSeqFromInterval13ToTricycle13(java.lang.String seq2)`
`static void` | `convertSeqFromInterval13ToTricycle13(TrainingSequence<java.lang.Character> seq)`
`static int[]` | `convertSeqFromInterval29ToInterval13(int[] seq)`
`static int[]` | `convertSeqFromInterval29ToInterval13Wrong(int[] states)`
`static java.lang.String` | `convertSeqFromTricycle13ToInterval13(java.lang.String seq2)`
`static void` | `convertSeqFromTricycle13ToInterval13(TrainingSequence<java.lang.Character> seq)`
`static java.util.ArrayList<java.util.ArrayList<java.lang.Integer>>` | `stateVector2StateLengths(java.util.List<? extends TrainingSequence<?>> data, int nStates)`
`void` | `writeHiddenSequence39GFF(TrainingSequence<java.lang.Character> refStates, java.lang.String filename)`
`static void` | `writeHiddenSequenceGFF(TrainingSequence<java.lang.Character> refStates, java.lang.String filename)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceConverter

    public SequenceConverter()

Method Detail

### stateVector2StateLengths

    public static java.util.ArrayList<java.util.ArrayList<java.lang.Integer>> stateVector2StateLengths(java.util.List<? extends TrainingSequence<?>> data,
                                                                                                       int nStates)

### convertSeqFromInterval13ToInterval29

    public static int[] convertSeqFromInterval13ToInterval29(int[] states)

### convertSeqFromInterval29ToInterval13

    public static int[] convertSeqFromInterval29ToInterval13(int[] seq)

### convertSeqFromInterval29ToInterval13Wrong

    public static int[] convertSeqFromInterval29ToInterval13Wrong(int[] states)

### convertSeqFromTricycle13ToInterval13

    public static void convertSeqFromTricycle13ToInterval13(TrainingSequence<java.lang.Character> seq)

### convertSeqFromTricycle13ToInterval13

    public static java.lang.String convertSeqFromTricycle13ToInterval13(java.lang.String seq2)

### convertSeqFromInterval13ToTricycle13

    public static void convertSeqFromInterval13ToTricycle13(TrainingSequence<java.lang.Character> seq)

### convertSeqFromInterval13ToTricycle13

    public static java.lang.String convertSeqFromInterval13ToTricycle13(java.lang.String seq2)

### convertSeqFrom13To39

    public static void convertSeqFrom13To39(TrainingSequence<java.lang.Character> seq)

### convertSeqFrom39To13

    public static void convertSeqFrom39To13(TrainingSequence<java.lang.Character> seq)

### convertSeqFrom39To13

    public static void convertSeqFrom39To13(int[] seq)

### writeHiddenSequenceGFF

    public static void writeHiddenSequenceGFF(TrainingSequence<java.lang.Character> refStates,
                                              java.lang.String filename)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeHiddenSequence39GFF

    public void writeHiddenSequence39GFF(TrainingSequence<java.lang.Character> refStates,
                                         java.lang.String filename)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD